// This file is released into the public domain

src_c_path = get_absolute_file_path('builder_c.sce');

CFLAGS = "-I" + src_c_path;

tbx_build_src([ ...
  'ldl_gs', ...
  'real_ldl_gs', ...
  'real_od_method_pos', ...
  'real_od_method_neg', ...
  'real_householder_1', ...
  'real_householder_2', ...
  'real_hyperbol_pos', ...
  'real_hyperbol_neg', ...
  'real_sparse_matvecmult', ...
  'complex_ldl_gs', ...
  'complex_od_method_pos', ...
  'complex_od_method_neg', ...
  'complex_householder_1', ...
  'complex_householder_2', ...
  'complex_hyperbol_pos', ...
  'complex_hyperbol_neg', ...
  'complex_sparse_matvecmult' ...
  ],[ ...
  'ldl_gs.c', ...
  'real_ldl_gs.c', ...
  'real_od_method_pos.c', ...
  'real_od_method_neg.c', ...
  'real_householder_1.c', ...
  'real_householder_2.c', ...
  'real_hyperbol_pos.c', ...
  'real_hyperbol_neg.c', ...
  'real_sparse_matvecmult.c', ...
  'complex_ldl_gs.c', ...
  'complex_od_method_pos.c', ...
  'complex_od_method_neg.c', ...
  'complex_householder_1.c', ...
  'complex_householder_2.c', ...
  'complex_hyperbol_pos.c', ...
  'complex_hyperbol_neg.c', ...
  'complex_sparse_matvecmult.c' ...
  ], 'c', src_c_path, '', '', CFLAGS);

clear tbx_build_src;
clear src_c_path;
clear CFLAGS;
